apiVersion: apps/v1
kind: Deployment
metadata:
  name: cluster-potal
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cluster-potal
  template:
    metadata:
      labels:
        app: cluster-potal
    spec:
      containers:
        - name: cluster-potal
          image: itsvictorfy/fp-clusterportal:v2
          imagePullPolicy: Always
          ports:
            - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: cluster-potal-service
spec:
  selector:
    app: cluster-potal
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
  type: LoadBalancer
